import GroupModel from "../../../Models/GroupModel.js";
import { BaseView, IBaseViewOptions } from "../../BaseView.js";
export interface IHeaderViewOptions extends IBaseViewOptions {
    source: GroupModel;
}
export default class HeaderView extends BaseView {
    constructor(options: IHeaderViewOptions);
    protected get source(): GroupModel;
    private get filterNode();
    private get rightGroupNode();
    private get leftGroupNode();
    template(): string | Array<string> | JQuery;
    protected onActivate(e: Jade.UI.ControlEventArgs): void;
    protected onComplete(e: Jade.UI.ControlEventArgs): void;
    private filter_init;
    private buttons_init;
    private addButton;
}
